// $Header: /usr/people/mbwall/src/ga/ga/RCS/array2.op.h,v 1.2 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  array2.op.h
  mbwall 5may95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  Header for the 2D array genome operators.  See comments in 1D array header.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_array2_op_h_
#define _ga_array2_op_h_

#include <ga/genome.h>

void GA2DArrayRandomInitializer(GAGenome&);

int  GA2DArrayFlipMutator(GAGenome&, float);
int  GA2DArraySwapMutator(GAGenome&, float);

void GA2DArrayUniformCrossover(GAGenome&, const GAGenome&, const GAGenome&);
void GA2DArray1PtCrossover(GAGenome&, const GAGenome&, const GAGenome&);
void GA2DArrayEvenCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA2DArrayOddCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#ifdef ARRAY_TYPE
#include <ga/array2.op.C>
#endif

#endif
