// $Header: /usr/people/mbwall/src/ga/ga/RCS/binstr2.op.h,v 1.2 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  binstr2.op.h
  mbwall 19apr95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  This header defines the built-in operators for binary string genomes.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_binstr2_op_h_
#define _ga_binstr2_op_h_

#include <ga/genome.h>

void GA2DBinStrRandomInitializer(GAGenome &);
void GA2DBinStrUnsetInitializer(GAGenome &);
void GA2DBinStrSetInitializer(GAGenome &);

int  GA2DBinStrFlipMutator(GAGenome &, float);

void GA2DBinStrUniformCrossover(GAGenome&, const GAGenome&, const GAGenome&);
void GA2DBinStr1PtPadCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA2DBinStr1PtClipCrossover(GAGenome &,const GAGenome &, const GAGenome &);
void GA2DBinStrEvenCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA2DBinStrOddCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#endif
