// $Header: /usr/people/mbwall/src/ga/ga/RCS/string.ch.h,v 1.4 1995/06/30 21:27:55 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  string.ch.h
  mbwall 25feb95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  This header defines the interface for the string genome.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_string_ch_h_
#define _ga_string_ch_h_

#include <ga/allele.h>
#include <ga/array1.ch.h>
#include <ga/array1.xs.h>

typedef GAAlleleSet<char> GAStringAlleleSet;
typedef GAAlleleSet<char> GACharacterAlleleSet;

typedef GA1DArrayGenome<char> GAStringGenome;

#if USE_1PT_CROSSOVER == 1
typedef GA1DArray1PtCrossSite<char>     GAString1PtCrossSite;
#endif

#if USE_2PT_CROSSOVER == 1
typedef GA1DArray2PtCrossSite<char>     GAString2PtCrossSite;
#endif

#if USE_PARTIAL_MATCH_CROSSOVER == 1 || \
    USE_ORDER_CROSSOVER == 1 || \
    USE_CYCLE_CROSSOVER == 1
typedef GA1DArrayOrderedCrossSite<char> GAStringOrderedCrossSite;
#endif

#endif
