// $Header: /usr/people/mbwall/src/ga/ga/RCS/tree.op.h,v 1.2 1995/05/30 14:22:55 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  tree.op.h
  mbwall 5may95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  Header for the tree genome operators.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_tree_op_h_
#define _ga_tree_op_h_

#include <ga/genome.h>

int  GATreeDestructiveMutator(GAGenome &, float);
int  GATreeSwapNodeMutator(GAGenome &, float);
int  GATreeSwapSubtreeMutator(GAGenome &, float);
void GATree1PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#ifdef TREE_TYPE
#include <ga/tree.op.C>
#endif

#endif
