// $Header: /usr/people/mbwall/src/ga/ga/RCS/array3.op.h,v 1.2 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  array3.op.h
  mbwall 5may95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  Header for the 3D array genome operators.  See comments in 1D array header.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_array3_op_h_
#define _ga_array3_op_h_

#include <ga/genome.h>

void GA3DArrayRandomInitializer(GAGenome&);

int  GA3DArrayFlipMutator(GAGenome&, float);
int  GA3DArraySwapMutator(GAGenome&, float);

void GA3DArrayUniformCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA3DArray1PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA3DArrayEvenCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA3DArrayOddCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#ifdef ARRAY_TYPE
#include <ga/array3.op.C>
#endif

#endif
