// $Header: /usr/people/mbwall/src/ga/ga/RCS/binstr1.op.h,v 1.2 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  binstr1.op.h
  mbwall 19apr95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  This header defines the built-in operators for binary string genomes.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_binstr1_op_h_
#define _ga_binstr1_op_h_

#include <ga/genome.h>

void GA1DBinStrRandomInitializer(GAGenome &);
void GA1DBinStrUnsetInitializer(GAGenome &);
void GA1DBinStrSetInitializer(GAGenome &);

int  GA1DBinStrFlipMutator(GAGenome &, float);

void GA1DBinStrUniformCrossover(GAGenome &, const GAGenome &, const GAGenome&);
void GA1DBinStr1PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA1DBinStr2PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA1DBinStrEvenCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA1DBinStrOddCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#endif
