// $Header: /usr/people/mbwall/src/ga/ga/RCS/binstr3.op.h,v 1.2 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  binstr3.op.h
  mbwall 19apr95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  This header defines the built-in operators for binary string genomes.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_binstr3_op_h_
#define _ga_binstr3_op_h_

#include <ga/genome.h>

void GA3DBinStrRandomInitializer(GAGenome &);
void GA3DBinStrUnsetInitializer(GAGenome &);
void GA3DBinStrSetInitializer(GAGenome &);

int  GA3DBinStrFlipMutator(GAGenome &, float);

void GA3DBinStrUniformCrossover(GAGenome&, const GAGenome&, const GAGenome&);
void GA3DBinStr1PtPadCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA3DBinStr1PtClipCrossover(GAGenome &,const GAGenome &, const GAGenome &);
void GA3DBinStrEvenCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GA3DBinStrOddCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#endif
