// $Header: /usr/people/mbwall/src/ga/ga/RCS/list.op.h,v 1.2 1995/05/30 14:22:55 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  list.op.h
  mbwall 5may95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  Header for the list genome operators.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_list_op_h_
#define _ga_list_op_h_

#include <ga/genome.h>

int  GAListDestructiveMutator(GAGenome &, float);
int  GAListSwapMutator(GAGenome &, float);
void GAList1PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAListPartialMatchCrossover(GAGenome &,const GAGenome &,const GAGenome &);
void GAListOrderCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAListCycleCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#ifdef LIST_TYPE
#include <ga/list.op.C>
#endif

#endif
