// $Header: /usr/people/mbwall/src/ga/ga/RCS/objective.C,v 1.2 1995/07/11 20:35:22 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  objective.C
  mbwall 27apr95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  Source file for the objective object.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#include <ga/objective.h>

float 
GAObjectiveProduct(const GAObjectiveVector & vector){
  float value=1.0;
  for(int i=vector.size()-1; i>=0; i--)
    value *= vector[i];
  return value;
}


float 
GAObjectiveSummation(const GAObjectiveVector & vector){
  float value=0.0;
  for(int i=vector.size()-1; i>=0; i--)
    value += vector[i];
  return value;
}
