// $Header: /usr/people/mbwall/src/ga/ga/RCS/random.C,v 1.1 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  random.C
  mbwall 5sep95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
  Random number stuff for use in GAlib.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#include <ga/random.h>

// Return 0 or 1 with equal likliehood.  We try to be smart about calling the
// random function here (assuming that calls to random are expensive).  So we
// make a call to random only when we have to, then pop down the bits in the
// integer we got until we run out of bits, then call random again.
int GARandomBit(){
  static int bitcount=0;
  static _GA_RND_TYPE bits;
  bits = bits >> 1;		// right shift to get the next bit
  if(bitcount == 0){
    bitcount = BITS_IN_LONG;
    bits = _GA_RND();
  }
  bitcount--;			// this is how many valid bits we have left 
  return(bits & 1);
}
