// $Header: /usr/people/mbwall/src/ga/ga/RCS/string.op.h,v 1.5 1995/09/13 22:30:10 mbwall Exp mbwall $
/* ----------------------------------------------------------------------------
  string.op.h
  mbwall 21mar95
  Copyright 1995 Massachusetts Institute of Technology

 DESCRIPTION:
   Header file for the built-in operators for the string genome.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_string_op_h_
#define _ga_string_op_h_

#include <ga/genome.h>

/* ----------------------------------------------------------------------------
Default and built-in operators for this genome type
---------------------------------------------------------------------------- */
void GAStringRandomInitializer(GAGenome &);
void GAStringOrderedInitializer(GAGenome &);

int  GAStringFlipMutator(GAGenome &, float);
int  GAStringSwapMutator(GAGenome &, float);

void GAString1PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAString2PtCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAStringEvenCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAStringOddCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAStringPartialMatchCrossover(GAGenome&,const GAGenome&,const GAGenome&);
void GAStringOrderCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAStringCycleCrossover(GAGenome &, const GAGenome &, const GAGenome &);
void GAStringUniformCrossover(GAGenome &, const GAGenome &, const GAGenome &);

#endif
